<?php
namespace Makeitneutral\MNL\Block\Adminhtml;

class Dashboard extends \Magento\Backend\Block\Template
{
	private $helper;
	protected $apidata;
	protected $_logger;
	
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
		\Makeitneutral\MNL\Helper\Minhelp $helper,
		\Makeitneutral\MNL\Model\Service\Mnl\ApiData $apidata,
		\Psr\Log\LoggerInterface $logger,
        array $data = []
    ) {
		$this->helper = $helper;
		$this->apidata = $apidata;
		$this->_logger = $logger;
		
        parent::__construct($context, $data);
    }
	
	public function getDashboardCollection(){
		
		$collection = $this->apidata->getApiOrders();
		
		return $collection;
	}
}
