<?php

namespace Makeitneutral\MNL\Plugin\Checkout\CustomerData;
 
class Cart
{
    protected $makeitneutral;

    public function __construct(
        \Makeitneutral\MNL\Block\Cart\AdditionalConfigVars $makeitneutral
    ) {
        $this->makeitneutral = $makeitneutral;
    }


    public function afterGetSectionData(\Magento\Checkout\CustomerData\Cart $subject, array $result)
    {
        $block = $this->makeitneutral->getConfig();

        if (empty($block)) {
            return $result;
        }

        $result['makeitneutral_data'] = $block['makeitneutral_data'];

        return $result;
    }
}
