<?php
namespace Makeitneutral\MNL\Plugin\System\Config\Currency;
 
class Base
{
    private $configSave;
    protected $mnlproduct;

    public function __construct(
        \Makeitneutral\MNL\Model\CreateProduct $mnlproduct,
        \Makeitneutral\MNL\Model\Service\SaveDashboard $configSave
    ) {
        $this->configSave = $configSave;
        $this->mnlproduct = $mnlproduct;
    }

    public function afterAfterSave(
        \Magento\Config\Model\Config\Backend\Currency\Base $subject,
        $result
    ) {
        if (in_array($subject->getValue(), $this->currency)) {
            $this->configSave->saveConfig('mnl/general/enable', 0);
            $this->mnlproduct->UpdateStatus(0);
        }
        return $result;
    }
}
