<?php
namespace Makeitneutral\MNL\Controller\Adminhtml\Dashboard;

class Index extends \Magento\Backend\App\Action
{
    protected $registry;

    public function __construct(
        \Magento\Backend\App\Action\Context $context
    ) {
        parent::__construct($context);
    }

    public function execute()
    { 
        $this->_view->loadLayout();
        $this->_view->getPage()->setActiveMenu('Makeitneutral_MNL::mnl_dashboard');
        $this->_view->getPage()->getConfig()->getTitle()->prepend(__('Dashboard'));
        $this->_view->renderLayout();
		
    }

    protected function _isAllowed()
    {
        return $this->_authorization->isAllowed('Makeitneutral_MNL::mnl_dashboard');
    }
}
